Categories:
  - Internet
License: GPL-3.0-only
AuthorName: Arne-Brün Vogelsang
AuthorEmail: arne@monocles.de
WebSite: https://monocles.de/more/
SourceCode: https://codeberg.org/Arne/monocles_chat
IssueTracker: https://codeberg.org/Arne/monocles_chat/issues
Translation: https://crowdin.com/project/pix-art-messenger
Donate: https://monocles.de/more/#donation-section

AutoName: monocles chat

RepoType: git
Repo: https://codeberg.org/Arne/monocles_chat

Builds:
  - versionName: '1.0'
    versionCode: 100
    commit: v1.0
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.1'
    versionCode: 101
    commit: v1.1
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.2'
    versionCode: 102
    commit: 84ecbb38d0c55cc638ed8201101ea3c3f6e37ee1
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.3'
    versionCode: 103
    commit: d32fc95ad48f496e3071096ce01a96bc29941e6b
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.3.1
    versionCode: 104
    commit: a962984760be038f4a957acc667b2ed61df52c8e
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.3.2
    versionCode: 105
    commit: b9578c21be82ac85116f877ca00c06a9a3383c70
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: '1.4'
    versionCode: 106
    commit: 94783aeff0e2e7e2e8d15c6a5a81aba91936be2f
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.4.1
    versionCode: 107
    commit: 8c659e4c5efdc6f909ade6bb5765d753df0f9cd1
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.4.2
    versionCode: 108
    commit: 0bbf2f2b758547a6825267d2d6b092232da48d84
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - git
    prebuild:
      - sed -i -e '/signingConfigs./d' build.gradle
      - sed -i -e '/libwebrtc/d' -e "/AppIntro:/aimplementation 'org.webrtc:google-webrtc:1.0.30039'"
        build.gradle

  - versionName: 1.5.1
    versionCode: 112
    commit: df79495cf8ccb4ce4a38e61c00512b1396f1eeb4
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - git
    prebuild: sed -i -e '/signingConfigs./d' build.gradle

AutoUpdateMode: Version v%v
UpdateCheckMode: Tags ^v\d+\.\d+(\.\d+)?$
CurrentVersion: 1.5.1
CurrentVersionCode: 112
